import 'dart:convert';

class GetTicketAccuralBalanceModel {
  int? accrualNetEntitlement;
  String? accuralPlanCode;

  GetTicketAccuralBalanceModel({
    this.accrualNetEntitlement,
    this.accuralPlanCode,
  });

  factory GetTicketAccuralBalanceModel.fromRawJson(String str) => GetTicketAccuralBalanceModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory GetTicketAccuralBalanceModel.fromJson(Map<String, dynamic> json) => GetTicketAccuralBalanceModel(
    accrualNetEntitlement: json["ACCRUAL_NET_ENTITLEMENT"],
    accuralPlanCode: json["ACCURAL_PLAN_CODE"],
  );

  Map<String, dynamic> toJson() => {
    "ACCRUAL_NET_ENTITLEMENT": accrualNetEntitlement,
    "ACCURAL_PLAN_CODE": accuralPlanCode,
  };
}
